summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2018-12-03 08:23:41 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2018-12-03 08:23:54 +0000
commit5e88c75c25df4af62f024599579a6a3f6be37d06 (patch)
tree29366d3554feaea333fe17f488ef38cc6c7f3527 /dev-util/radare2
parentapp-shells/zsh: amd64 stable wrt bug #665278 (diff)
downloadgentoo-5e88c75c25df4af62f024599579a6a3f6be37d06.tar.gz
gentoo-5e88c75c25df4af62f024599579a6a3f6be37d06.tar.bz2
gentoo-5e88c75c25df4af62f024599579a6a3f6be37d06.zip
dev-util/radare2: bump up to 3.1.1
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'dev-util/radare2')
-rw-r--r--dev-util/radare2/Manifest1
-rw-r--r--dev-util/radare2/radare2-3.1.1.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-util/radare2/Manifest b/dev-util/radare2/Manifest
index ea8c1e1a9644..f532d79fa0ce 100644
--- a/dev-util/radare2/Manifest
+++ b/dev-util/radare2/Manifest
@@ -1,2 +1,3 @@
DIST radare2-3.0.1.tar.gz 6638512 BLAKE2B 1051e2d948bf312a5d54d03fa20a2fa6954f0ef735416e1c6e95d2042dcc6e1ec46f750d200c84dcb01395d0925ed42a4a1aa3f96b9eafad39d19ee214c91220 SHA512 755cbbf968179d987b1bd11469ef356e9e5b9968983f45a3276e0001c877d13b3b12b71a29dd954e8111c5196284c0e49f26bd79f5b5e037dd4dd27b1f73e380
DIST radare2-3.1.0.tar.gz 6652526 BLAKE2B 8da52e93263b47261cadc28e0de637b177943ce978ff342e305c7c924c062458d4eee18d05a21c9ca5153b7ede13332c87e9cd2f22c6880d47fd8e05db21036e SHA512 ee31de49ff83ca1ed093eaf113201cb3709adcb3315671d88413aa4d5c80c37cf9e981c33b4f472b9aa5f67309cdaf9577c2085a8c58e4faf86b37d1ee19866d
+DIST radare2-3.1.1.tar.gz 6662393 BLAKE2B b8a9a19a30da85a5e79ded5f91858e6ce393e62b9e44bad3b11f08384cc9fe9f362bd666059d038661c8730f458fca22966f9e98eb184f33fa81a4f3c22ad7c7 SHA512 9706e0c60e88e75601a7f2e9cb936c1c39057fa43cad81ae72484beddba0e95f0382ceddf9e0e1a3e3b2cedd0fba932eb9d745dfce063274c9a3946d10ccdaa7
diff --git a/dev-util/radare2/radare2-3.1.1.ebuild b/dev-util/radare2/radare2-3.1.1.ebuild
new file mode 100644
index 000000000000..ccba9bfa0ed9
--- /dev/null
+++ b/dev-util/radare2/radare2-3.1.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 eutils
+
+DESCRIPTION="unix-like reverse engineering framework and commandline tools"
+HOMEPAGE="http://www.radare.org"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/radare/radare2"
+else
+ SRC_URI="https://github.com/radare/radare2/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="ssl libressl"
+
+RDEPEND="
+ dev-libs/capstone:0=
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_configure() {
+ econf \
+ --without-libuv \
+ --with-syscapstone \
+ $(use_with ssl openssl)
+}
+
+src_install() {
+ default
+
+ insinto /usr/share/zsh/site-functions
+ doins doc/zsh/_*
+
+ newbashcomp doc/bash_autocompletion.sh "${PN}"
+ bashcomp_alias "${PN}" rafind2 r2 rabin2 rasm2 radiff2
+
+ # a workaround for unstable $(INSTALL) call, bug #574866
+ local d
+ for d in doc/*; do
+ if [[ -d $d ]]; then
+ rm -rfv "$d" || die "failed to delete '$d'"
+ fi
+ done
+}